//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "spadeSurfaceIen.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
// Surface
//
// ImageEn related class
//
// Author: Sinia Petri
// You may freely distribute, copy, cut and paste this code, as long as...whatever.
//---------------------------------------------------------------------------
__fastcall TSpadeSurfaceIen::TSpadeSurfaceIen(TIEBitmap *ieBitmap)
							:TSpadeSurfaceBasic()
{
int chDepth;
switch (ieBitmap->PixelFormat)
  {
  case ie24RGB:
	   chDepth = 8;
	   break;
  case ie8g:
  case ie8p:
	   chDepth = 8;
	   break;
  case ie32f:
	   chDepth = 32;
	   break;
  case ie16g:
	   chDepth = 16;
	   break;
  default:
  	   chDepth = 8;
	   break;
}
createSurface(ieBitmap->Width,
			  ieBitmap->Height,
			  ieBitmap->ChannelCount,
			  chDepth,
			  imoBottomlLeft,
			  cllBGR,
			  4 /*doubleword*/,
			  (LPVOID)ieBitmap->Scanline[ieBitmap->Height-1],
			  ieBitmap->HasAlphaChannel ? (LPVOID)ieBitmap->AlphaChannel->Scanline[ieBitmap->Height-1] : 0
			  );
}
//---------------------------------------------------------------------------
// destructor
__fastcall TSpadeSurfaceIen::~TSpadeSurfaceIen(void)
{
//nop
}
//---------------------------------------------------------------------------
UnicodeString __fastcall TSpadeSurfaceIen::ClassName(void)
{
return "TSpadeSurfaceIen";
}

